Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033845
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementminoralways2016-04-28 10:042016-09-01 19:02
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q2.3
StatusclosedFix in branchFixed in SCM revision725eeb9afc3a
ProjectionnoneETAnoneTarget Version3.0PR16Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-09-11
Regression introduced in release3.0PR15Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/17eb51a4c06e [^]
Triggers an Emergency PackNo
Summary

0033845: Cannot void a goods receipt if the role does not have access to Client window

DescriptionCannot void a goods receipt if the role does not have access to Client window
Steps To ReproduceAs group admin role:
   Remove Client window from Role - Window Access tab
   Log out and log in
   Go to Goods Receipt window, try to void a record and check the following error message is shown:
      org.openbravo.base.exception.OBSecurityException: Entity ADClient is not directly readable, only id and identifier properties are readable, property ADClient.clientInformationList is neither of these.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0032806 closedmarkmm82 Cannot void a goods receipt if the role does not have access to Client window 

-  Notes
(0089681)
hgbot (developer)
2016-09-01 19:01

Repository: erp/backports/3.0PR16Q2.3
Changeset: 725eeb9afc3a677ec5bcc451ac8b5e7e9ed5fe28
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Sep 01 18:50:35 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/725eeb9afc3a677ec5bcc451ac8b5e7e9ed5fe28 [^]

Fixes issue 33845: Can void a receipt if role doesn't have Client window access

Allow to void a goods receipt even the role does not have access to Client window. The OB Context is configured as Admin mode to avoid access validations when getClientInformationList() method of ADClient class is invoked.

---
M src/org/openbravo/costing/CostingUtils.java
M src/org/openbravo/erpCommon/ad_actionButton/ProcessGoods.java
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
---
(0089683)
aferraz (developer)
2016-09-01 19:02

Code review OK

- Issue History
Date Modified Username Field Change
2016-08-29 19:35 markmm82 Type defect => backport
2016-08-29 19:35 markmm82 Target Version => 3.0PR16Q2.3
2016-09-01 18:40 aferraz Regression introduced in release 3.0PR15Q2.5 => 3.0PR15Q4
2016-09-01 18:40 aferraz Regression introduced by commit http://code.openbravo.com/erp/devel/pi/rev/17eb51a4c06e4c52758955c846be5a7b91c4edcb [^] => https://code.openbravo.com/erp/devel/pi/rev/17eb51a4c06e [^]
2016-09-01 19:01 hgbot Checkin
2016-09-01 19:01 hgbot Note Added: 0089681
2016-09-01 19:01 hgbot Status scheduled => resolved
2016-09-01 19:01 hgbot Resolution open => fixed
2016-09-01 19:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q2.3/rev/725eeb9afc3a677ec5bcc451ac8b5e7e9ed5fe28 [^]
2016-09-01 19:02 aferraz Review Assigned To => aferraz
2016-09-01 19:02 aferraz Note Added: 0089683
2016-09-01 19:02 aferraz Status resolved => closed
2016-09-01 19:02 aferraz Fixed in Version => 3.0PR16Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker